
ThreatFactor NSIA - Feature #151

Terminate Function for ThreatScripts

05/12/2010 11:48 AM - Luke Murphey

Status: Closed Start date: 05/12/2010

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.9 (Beta)   

Description

Add ability to define a terminate function that allows ThreatScripts to endnicely if the ScanEngine needs to end execution.

History

#1 - 05/12/2010 11:56 AM - Luke Murphey

- Target version set to 0.9 (Beta)

#2 - 05/14/2010 01:07 AM - Luke Murphey

- Assignee set to Luke Murphey

#3 - 05/14/2010 01:08 AM - Luke Murphey

Need to determine if globally scoped variables persist (otherwise, the terminate function won't be usable)

#4 - 05/17/2010 12:38 AM - Luke Murphey

Terminate function has been added but it has a negative side-effect. The scope of the global variables is global (affects all rules being executed in the

scan engine) and persists through the entire session (until the scan engine is terminated).

The only way to prevent this is to spawn multiple instances of the definition and perform the analysis.

#5 - 05/17/2010 01:14 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented in r464. Unfortunately, the script engine must be reinitialized for every evaluation since the environment must be rebuilt (otherwise some

variables may be carried over from previous executions). This may cause a slight adverse effect on performance.

Powered by TCPDF (www.tcpdf.org)

04/27/2024 1/1

http://www.tcpdf.org

